org.jbpm.ruleflow.core.factory

## Class EndNodeFactory<T extends org.kie.api.fluent.NodeContainerBuilder<T,?>>

- java.lang.Object
- - org.jbpm.ruleflow.core.factory.NodeFactory<org.kie.api.fluent.EndNodeBuilder<T>,T>
  - - org.jbpm.ruleflow.core.factory.EndNodeFactory<T>

- All Implemented Interfaces:
    org.kie.api.fluent.EndNodeBuilder<T>, org.kie.api.fluent.NodeBuilder<org.kie.api.fluent.EndNodeBuilder<T>,T>

      public class EndNodeFactory<T extends org.kie.api.fluent.NodeContainerBuilder<T,?>>
      extends NodeFactory<org.kie.api.fluent.EndNodeBuilder<T>,T>
      implements org.kie.api.fluent.EndNodeBuilder<T>

- - ### Field Summary

    - ### Fields inherited from class org.jbpm.ruleflow.core.factory.NodeFactory

      `node, nodeContainer, nodeContainerFactory`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EndNodeFactory(T nodeContainerFactory, NodeContainer nodeContainer, long id)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected EndNode` | `getEndNode()`
    `EndNodeFactory<T>` | `terminate(boolean terminate)`

    - ### Methods inherited from class org.jbpm.ruleflow.core.factory.NodeFactory

      `done, getNode, name, setId, setMetadata`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.kie.api.fluent.NodeBuilder

      `done, name, setMetadata`

- - ### Constructor Detail

    - #### EndNodeFactory

          public EndNodeFactory(T nodeContainerFactory,
                                NodeContainer nodeContainer,
                                long id)

  - ### Method Detail

    - #### getEndNode

          protected EndNode getEndNode()

    - #### terminate

          public EndNodeFactory<T> terminate(boolean terminate)

      Specified by:
        `terminate` in interface `org.kie.api.fluent.EndNodeBuilder<T extends org.kie.api.fluent.NodeContainerBuilder<T,?>>`

Copyright © 2001–2021 JBoss by Red Hat. All rights reserved.